API reference · Onboarding

Fetch random questions and answers for video selfie

GET/omni/get/questionAndAnswer

Base URL: https://demo-api.incodesmile.com — Incode demo environment

Fetch a number random questions and answers for video selfie for given apiKey. If there are no defined QA pairs for the apiKey, a random QA pair is returned from the default set.

Path & query parameters

Name In Type Required Description
numberOfQuestions query integer (int32) yes Number of questions to be returned to client
returnVoiceConsentQuestion query boolean Flag stating if voice consent question should be included in response
api-version header string yes

Responses

200

OK

Response body (application/json):

Field Type Required Description
questionAndAnswers array[QuestionAndAnswerWithId]
questionAndAnswers.id string ID of the given Question-Answer pair.
questionAndAnswers.question string Random question to be shown in video selfie.
questionAndAnswers.answer string Corresponding answer to the question.

400

Bad Request

Response body (application/json):

Field Type Required Description
timestamp integer (int64) UTC timestamp in milliseconds
status integer (int32) Custom error code or HTTP status code
error string HTTP status error
message string Custom error message
path string Endpoint path
details object Custom error details
Was this page helpful?